Subject: Re: [PATCH] gnu: supertuxkart: Keep 'supertuxkart.desktop' file.
From: Eric Bavier <[email-masked]>
To: Nigko Yerden <[email-masked]>, [email-masked]
Date: Fri, 14 Mar 2025 02:48:04 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Nigko,

I'm glad someone appreciates my improvement also.  Good catch, and 
thanks for the patch!  It looks good to me.  I've applied it in commit 
92124591eedf27e988c84f75acd4b4d99ff43122.

`~Eric

On 3/12/25 11:33, Nigko Yerden wrote:
> Hello Eric Bavier,
>
> I am very appreciate for your commit [1] that splits data from 
> supertuxkart
> package. Indeed, it was very annoying to download more than 700MB on 
> almost
> every upgrade. However, it seems that I found a minor bug in your nice 
> patch:
> supertuxkart has lost its .desktop file. Certainly, not everyone needs
> .desktop file, but I think it would be better to keep it:)
>
> Here [2] I suggest a one-line bug-fix. I checked that the supertuxkart
> package is successfully built and works with this patch applied.
>
> What do you think?
>
> Thank you for your work!
>
> Regards,
> Nigko
>
> [1] 
> https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7b33214d80e3e07421626449415e14bf120d93c9
> [2] https://issues.guix.gnu.org/76936